Subject: Why non-opaque contexts?

From: Ian Glendinning <[email-masked]>
Date: Thu, 1 Jul 93 20:06:42 BST

Hi,
   I was just pondering on why contexts have been specified as being integers
rather than being opaque objects (that can be represented as integers).  Can
someone enlighten me please?  As far as I can see, none of the operations you
can perform on them require you to know that they're integers, so why expose
that fact?  Perhaps it is so that people can do sneaky things with them and
write their own allocators, in conjunction with MPI_CONTEXTS_RESERVE, but I'm
not really sure what sort of things people would want to do.  Is that the
reason, and if so can someone give me a couple of examples of what people
might want to do?
   Ian
--
[email-masked]        Ian Glendinning
Tel: +44 703 593368                  Dept of Electronics and Computer Science
Fax: +44 703 593045                  University of Southampton SO9 5NH England